Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001768Double CommanderDefaultpublic2017-03-13 17:102017-05-12 10:18
Reportercordylus 
Assigned ToAlexx2000 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
PlatformOSOS Version
Product VersionProduct Build 
Target Version0.8.0Fixed in Version0.8.0 
Summary0001768: SVG support in Viewer and thumbnails
DescriptionCurrently previews of SVG files are shown as text, not as images.
TagsNo tags attached.
Fixed in Revision7468
Operating system
Widgetset
Architecture
Attached Files

- Relationships

-  Notes
(0002135)
Alexx2000 (administrator)
2017-03-15 05:33

Already supported under Linux via librsvg. I cannot find lightweight SVG library under Windows.
(0002136)
cordylus (reporter)
2017-03-15 05:47

But librsvg works under Windows too. You can use MSYS2 to get the precompiled version with development headers, for example.
(0002137)
cordylus (reporter)
2017-03-15 05:59
edited on: 2017-03-15 06:02

But yeah, it pulls a lot of dependencies with itself, I got your point.

Would it be possible to link it in a way that it will be used if the dll is found in the PATH and still work without it otherwise?

(0002138)
Alexx2000 (administrator)
2017-03-19 16:09
edited on: 2017-03-19 16:11

Done. Needs: libcairo-2.dll, librsvg-2-2.dll and libgobject-2.0-0.dll (+ all dependencies). Checked with dlls from GIMP.

(0002139)
cordylus (reporter)
2017-03-19 17:12

Great, it works, thanks. Tested with the latest libs from MSYS2 (librsvg-2.40.16-2, cairo-1.15.4-4, glib2-2.50.3-2). But I'll better switch to the ones from GIMP, like you suggested, since using MSYS dlls prevents them from being updated while DC is opened.
(0002205)
hedgehog (reporter)
2017-05-12 10:18

Very cool. Was searching this for a long time and now stumbled over it. Got it working with the dll's from Gimp 2.4

- Issue History
Date Modified Username Field Change
2017-03-13 17:10 cordylus New Issue
2017-03-15 05:33 Alexx2000 Note Added: 0002135
2017-03-15 05:33 Alexx2000 Status new => acknowledged
2017-03-15 05:47 cordylus Note Added: 0002136
2017-03-15 05:59 cordylus Note Added: 0002137
2017-03-15 06:02 cordylus Note Edited: 0002137 View Revisions
2017-03-19 16:09 Alexx2000 Fixed in Revision => 7468
2017-03-19 16:09 Alexx2000 Note Added: 0002138
2017-03-19 16:09 Alexx2000 Status acknowledged => resolved
2017-03-19 16:09 Alexx2000 Resolution open => fixed
2017-03-19 16:09 Alexx2000 Assigned To => Alexx2000
2017-03-19 16:10 Alexx2000 Note Edited: 0002138 View Revisions
2017-03-19 16:11 Alexx2000 Note Edited: 0002138 View Revisions
2017-03-19 17:12 cordylus Note Added: 0002139
2017-04-09 08:13 Alexx2000 Fixed in Version => 0.8.0
2017-04-09 08:13 Alexx2000 Target Version => 0.8.0
2017-05-12 10:18 hedgehog Note Added: 0002205
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker